Open MPI logo

Open MPI Development Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Development mailing list

From: Ralf Wildenhues (Ralf.Wildenhues_at_[hidden])
Date: 2007-09-20 02:09:34


Hello Karol,

* Karol Mroz wrote on Wed, Sep 19, 2007 at 07:23:50PM CEST:
> When running the autogen.sh script as non-root, I see the following error:
[...]
> autom4te-2.61: cannot open configure: Permission denied
[...]
> After some searching, it would appear that this is an autoconf issue
> that crops up in FreeBSD but, for whatever reason, not in Linux. A quick
> workaround is to add: `chmod -vr u+w *` just before autogen issues the
> `run_and_check $ompi_autoconf` command on line 438.

I can look into this if needed. Is it sufficient to make
opal/libltdl/configure writable, or its containing directory?

As a workaround you should be able to use nightly tarballs
instead of the SVN version.

Cheers,
Ralf